General discussion on installation and configuration of SOGo

Text archives Help


Re: [SOGo] How do I know which update script I have to call?


Chronological Thread 
  • From: "Steve Ankeny" ( ) < >
  • To:
  • Subject: Re: [SOGo] How do I know which update script I have to call?
  • Date: Fri, 29 Apr 2016 10:44:29 -0400
  • Dmarc-filter: OpenDMARC Filter v1.2.0 mail.inverse.ca 197BDDA9ACB

I'm sorry! I responded a bit too quickly.

IF you're using PostgreSQL, run 'sql-update-2.2.17_to_2.3.0.sh'

IF you're using MySQL, run 'sql-update-2.2.17_to_2.3.0-mysql.sh'

IF you're not sure which one you're running, running BOTH will not hurt your installation.

or, simply run something like, 'ps aux | grep mysql' to see if MySQL is being used

On 04/29/2016 10:22 AM, Steve Ankeny
( )
wrote:
better yet, just run them

IF they're needed, they will execute, and IF not, they'll do nothing.

On 04/29/2016 08:22 AM, Michael Vogel
( )
wrote:
Hi!

Sometimes there seems to be a need to run database update scripts after
SOGo was updated. My problem is that I never know if or which of theses
scripts I had to call.

Mostly I really don't know the old SOGo version. For example: I just
updated and I'm now on 2.3.1. I don't know if I have to call the script
"sql-update-2.2.17_to_2.3.0-mysql.sh".

Is there any script that I haven't found by now that simply does a check
for the current database schema and does all needed changes?

Michael







Archive powered by MHonArc 2.6.18.

Top of page